package com.mvc.dao;

import com.mvc.entity.TIdentEnquiries;
import com.mvc.entity.TIdentEnquiriesExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TIdentEnquiriesMapper {
    long countByExample(TIdentEnquiriesExample example);

    int deleteByExample(TIdentEnquiriesExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TIdentEnquiries record);

    int insertSelective(TIdentEnquiries record);

    List<TIdentEnquiries> selectByExample(TIdentEnquiriesExample example);

    TIdentEnquiries selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TIdentEnquiries record, @Param("example") TIdentEnquiriesExample example);

    int updateByExample(@Param("record") TIdentEnquiries record, @Param("example") TIdentEnquiriesExample example);

    int updateByPrimaryKeySelective(TIdentEnquiries record);

    int updateByPrimaryKey(TIdentEnquiries record);
}